# $Revision: 1.7 $, $Date: 2008/07/27 22:54:29 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (tests are broken)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	Query
Summary:	Term::Query - table-driven query routine
Summary(pl.UTF-8):	Term::Query - oparta na tablicach funkcja realizująca zapytania
Name:		perl-Term-Query
Version:	2.0
Release:	2
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	eba5ba66fdf9e98464472dbc89c49dab
BuildRequires:	perl-Array-PrintCols
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Term::Query is a Perl 5 module, which performs generalized queries on
various kinds of values. Validation and normalization of input, based
on the type, is automated, as is error reporting and re-solicitation
of input.

%description -l pl.UTF-8
Term::Query to moduł Perla 5 wykonujący uogólnione zapytania dla
różnych rodzajów wartości. Zawiera automatyczną kontrolę poprawności i
normalizację wejścia w zależności od typu, a także zgłaszanie błędów i
ponowne odpytywanie wejścia.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog Copyright README
%{perl_vendorlib}/Term/Query.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Term-Query.spec,v $
Revision 1.7  2008/07/27 22:54:29  arekm
- release 2

Revision 1.6  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:47  paladine
- formatting

Revision 1.3  2004/10/24 16:26:27  paladine
- spelling fixes, uppercases, etc.

Revision 1.2  2004/05/03 00:55:41  ankry
- license fixes, cosmetics

Revision 1.1  2003/12/18 12:38:26  qboosh
- new

